Show Call History
curl --request GET \
--url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/call-histories/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/call-histories/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/call-histories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01kqh44fefb974f9qzhatg080y",
"start_time": "2026-04-05T20:52:15.000000Z",
"end_time": "2026-04-16T07:36:00.000000Z",
"duration": "10:43:45",
"channel_type": "sms",
"cost": 6.6203,
"session_id": null,
"end_reason": "hangup",
"session_status": "abandoned",
"from": "+19307865066",
"to": "+19152306227",
"direction": "inbound",
"session_outcome": "unresolved",
"e2e_latency": 4033,
"agent_id": "01kqh44fdndrcb50y7b9x2tjgj",
"workspace_id": "01kqh44fe2aqzax8st7teamx2m",
"created_at": "2026-05-01T06:38:05.000000Z",
"updated_at": "2026-05-01T06:38:05.000000Z",
"analysis": null
}
}Call History
Show Call History
Displays the specified call history. The call history must belong to the authenticated user’s current workspace.
GET
/
api
/
v1
/
call-histories
/
{id}
Show Call History

